<?xml version="1.0" encoding="UTF-8"?><MJOBGRADE0 desc_thai="ทะเบียนกระบอกเงินเดือน" desc_eng="Job Grade Table" editcheck="true" mainhelp="MJOBGRADE0HELP" referhelp="MJOBGRADE0HELP" mainkey="JOBGRADEID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<JOBGRADEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>JobGrade Code</DESC_ENG>
			<DESC_THAI>รหัสกลุ่มรายได้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกลุ่มรายได้</ALT_THAI>
				<ALT_ENG>JobGrade Code</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
<APPNAME name="COMPANY">
			<DESC_ENG>JobGrade Code</DESC_ENG>
			<DESC_THAI>รหัสตารางกระบอกเงินเดือน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสตารางกระบอกเงินเดือน</ALT_THAI>
				<ALT_ENG>JobGrade Code</ALT_ENG>
			</COMPONENT></APPNAME>
		</JOBGRADEID>
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT>
<APPNAME name="PAYROLL,PERSONAL,RECRUIT">
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
				<COMPONENT type="Text"><SIZE>70</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT></APPNAME>
</EDESC>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL,PERSONAL,RECRUIT">
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
				<COMPONENT type="Text"><SIZE>70</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
			</COMPONENT></APPNAME>
</TDESC>
		<MAX_SALARY lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Max. Salary</DESC_ENG>
			<DESC_THAI>เงินเดือนสูงสุด</DESC_THAI>
			<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>20</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_ENG>Max. Salary</ALT_ENG>
				<ALT_THAI>เงินเดือนสูงสุด</ALT_THAI>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
				<ONBLUR>chkMidOnMax(this,__min_salary,__mid_point);</ONBLUR>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL">
			<DESC_ENG>Max. Salary</DESC_ENG>
			<DESC_THAI>รายได้สูงสุด</DESC_THAI>
				<COMPONENT type="Text"><SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Max. Salary</ALT_ENG>
				<ALT_THAI>รายได้สูงสุด</ALT_THAI>
			</COMPONENT></APPNAME>
<APPNAME name="PERSONAL,RECRUIT">
			<DESC_ENG>Max. Salary</DESC_ENG>
			<DESC_THAI>รายได้สูงสุด</DESC_THAI>
				<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Max. Salary</ALT_ENG>
				<ALT_THAI>รายได้สูงสุด</ALT_THAI>
			</COMPONENT></APPNAME>
</MAX_SALARY>
		<MIN_SALARY lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Min. Salary</DESC_ENG>
			<DESC_THAI>เงินเดือนต่ำสุด</DESC_THAI>
			<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>20</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_ENG>Min. Salary</ALT_ENG>
				<ALT_THAI>เงินเดือนต่ำสุด</ALT_THAI>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
				<ONBLUR>chkMidOnMin(this,__max_salary,__mid_point);</ONBLUR>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL">
			<DESC_ENG>Min. Salary</DESC_ENG>
			<DESC_THAI>รายได้ต่ำสุด</DESC_THAI>
				<COMPONENT type="Text"><SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Min. Salary</ALT_ENG>
				<ALT_THAI>รายได้ต่ำสุด</ALT_THAI>
			</COMPONENT></APPNAME>
<APPNAME name="PERSONAL,RECRUIT">
			<DESC_ENG>Min. Salary</DESC_ENG>
			<DESC_THAI>รายได้ต่ำสุด</DESC_THAI>
				<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Min. Salary</ALT_ENG>
				<ALT_THAI>รายได้ต่ำสุด</ALT_THAI>
			</COMPONENT></APPNAME>
</MIN_SALARY>
		<MID_POINT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Mid Point</DESC_ENG>
			<DESC_THAI>มิด พอยด์</DESC_THAI>
			<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>20</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_ENG>Mid Point</ALT_ENG>
				<ALT_THAI>มิด พอยด์</ALT_THAI>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
				<ONBLUR>chkOnMid(this,__min_salary,__max_salary);</ONBLUR>
				<!--ONKEYPRESS>chkInteger();</ONKEYPRESS-->
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL">
			<DESC_ENG>Mid Point</DESC_ENG>
			<DESC_THAI>มิด พอยด์</DESC_THAI>
				<COMPONENT type="Text"><SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Mid Point</ALT_ENG>
				<ALT_THAI>มิด พอยด์</ALT_THAI>
			</COMPONENT></APPNAME>
<APPNAME name="PERSONAL,RECRUIT">
			<DESC_ENG>Mid Point</DESC_ENG>
			<DESC_THAI>มิด พอยด์</DESC_THAI>
				<COMPONENT type="Text">
				<!--ONKEYPRESS>chkBigDecimal();</ONKEYPRESS-->
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Mid Point</ALT_ENG>
				<ALT_THAI>มิด พอยด์</ALT_THAI>
			</COMPONENT></APPNAME>
</MID_POINT>
		<START_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ONCHANGE>isValidDate(this.value);</ONCHANGE>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL,PERSONAL,RECRUIT">
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
				<COMPONENT type="Text"><SIZE>20</SIZE>
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
			</COMPONENT></APPNAME>
</START_DATE>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>CompanyID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>CompanyID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
<EDIT_BY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Last Change By (Entry)</DESC_ENG>
			<DESC_THAI>แก้ไขโดย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Last Change By (Entry)</ALT_ENG>
				<ALT_THAI>แก้ไขโดย</ALT_THAI>
			</COMPONENT>
		</EDIT_BY>
<EDIT_DATE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Last Changed Date</DESC_ENG>
			<DESC_THAI>วันที่แก้ไข</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Last Changed Date</ALT_ENG>
				<ALT_THAI>วันที่แก้ไข</ALT_THAI>
			</COMPONENT>
		</EDIT_DATE>
<EDIT_TIME lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Last Changed Time</DESC_ENG>
			<DESC_THAI>เวลาที่แก้ไข</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Last Changed Time</ALT_ENG>
				<ALT_THAI>เวลาที่แก้ไข</ALT_THAI>
			</COMPONENT>
		</EDIT_TIME>
<APPROVE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Last Change By (Verify)</DESC_ENG>
			<DESC_THAI>ตรวจสอบโดย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Last Change By (Verify)</ALT_ENG>
				<ALT_THAI>ตรวจสอบโดย</ALT_THAI>
			</COMPONENT>
		</APPROVE>
<VERIFIED lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Verified</DESC_ENG>
			<DESC_THAI>สถานะการตรวจสอบ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Verified</ALT_ENG>
				<ALT_THAI>สถานะการตรวจสอบ</ALT_THAI>
			</COMPONENT>
		</VERIFIED>
<RUNNO lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Runno Code</DESC_ENG>
			<DESC_THAI>หมายเลขอัติโนมัต</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Runno Code</ALT_ENG>
				<ALT_THAI>หมายเลขอัติโนมัติ</ALT_THAI>
			</COMPONENT>
		</RUNNO>
<WF_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>WF_STATUS</DESC_ENG>
			<DESC_THAI>สถานะการอนุมัติ</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>WF_STATUS</ALT_ENG>
				<ALT_THAI>สถานะการอนุมัติ</ALT_THAI>
			</COMPONENT>
	</WF_STATUS>
<ACTORID lang="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>15</WIDTH>
				<DESC_ENG>Actor ID</DESC_ENG>
				<DESC_THAI>รหัสผู้รับผิดชอบ</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Actor ID</ALT_ENG>
					<ALT_THAI>รหัสผู้รับผิดชอบ</ALT_THAI>
				</COMPONENT>
		</ACTORID>
<CREATE_BY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Create By</DESC_ENG>
			<DESC_THAI>สร้างโดย</DESC_THAI>
			<COMPONENT type="text">
 				 <MAXSIZE>15</MAXSIZE>
 				 <SIZE>15</SIZE>
				 <ALT_ENG>Create By</ALT_ENG>
 				 <ALT_THAI>สร้างโดย</ALT_THAI>
			</COMPONENT>
		</CREATE_BY>
<CREATE_DATE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>12</WIDTH>
			<DESC_ENG>Create Date</DESC_ENG>
			<DESC_THAI>สร้างวันที่</DESC_THAI>
			<COMPONENT type="text">
 				 <MAXSIZE>12</MAXSIZE>
 				 <SIZE>12</SIZE>
				 <ALT_ENG>Create Date</ALT_ENG>
 				 <ALT_THAI>สร้างวันที่</ALT_THAI>
			</COMPONENT>
		</CREATE_DATE>
<CREATE_TIME lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Create Time</DESC_ENG>
			<DESC_THAI>สร้างเมื่อ</DESC_THAI>
			<COMPONENT type="text">
 				 <MAXSIZE>10</MAXSIZE>
 				 <SIZE>10</SIZE>
				 <ALT_ENG>Create Time</ALT_ENG>
 				 <ALT_THAI>สร้างเมื่อ</ALT_THAI>
			</COMPONENT>
		</CREATE_TIME>
		<REMARK lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<READONLY>false</READONLY>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
				<ALT_ENG>Remark</ALT_ENG>
				<LINES>2</LINES>
				<SIZECHAR>60</SIZECHAR>
			</COMPONENT>
		</REMARK>		
		</FIELD>
	<RELATION>
		<MJOBGRADE1>
			<PARENT>MJOBGRADE0.JOBGRADEID</PARENT>
			<PARENT>MJOBGRADE0.COMPANYID</PARENT>
			<CHILD>MJOBGRADE1.JOBGRADEID</CHILD>
			<CHILD>MJOBGRADE1.COMPANYID</CHILD>
		</MJOBGRADE1>
		<MJOBCODE dependlevel="true" mode="0" >
			<PARENT>MJOBGRADE0.JOBGRADEID</PARENT>
			<PARENT>MJOBGRADE0.COMPANYID</PARENT>
			<CHILD>MJOBCODE.JOBGRADEID</CHILD>
			<CHILD>MJOBCODE.COMPANYID</CHILD>
		</MJOBCODE>
		<V1MJOBCODE dependlevel="true" rtablename="MJOBCODE">
			<PARENT>MJOBGRADE0.JOBGRADEID</PARENT>
			<PARENT>MJOBGRADE0.COMPANYID</PARENT>
			<CHILD>V1MJOBCODE.JOBGRADEID</CHILD>
			<CHILD>V1MJOBCODE.COMPANYID</CHILD>
		</V1MJOBCODE>
		<MPERSONALLEVEL>
				<PARENT>MJOBGRADE0.JOBGRADEID</PARENT>
				<PARENT>MJOBGRADE0.COMPANYID</PARENT>
				<CHILD>MPERSONALLEVEL.JOBGRADEID</CHILD>
				<CHILD>MPERSONALLEVEL.COMPANYID</CHILD>
		</MPERSONALLEVEL>
	</RELATION>
</MJOBGRADE0>
